import { IDataDefinition } from "../../../Common/Data/Definitions/IDataDefinition";
import { XExpressionDefinition } from "../../../Expressions/XExpressionDefinition";
import { IConfigStorage } from "../../../Common/IConfigStorage";
import { IDesignValidationProvider, ValidationIssue } from "../../../Common/IDesignValidationProvider";
export declare class ValueRuleColumn implements IConfigStorage, IDesignValidationProvider {
    _id: string;
    columnName?: string;
    cellData: IDataDefinition;
    expression: XExpressionDefinition;
    constructor(columnName?: string);
    getDesignValidationIssues(): ValidationIssue[];
    getStorageData(): object;
    setStorageData(data: object): void;
}
